Get orders
Retrieve a paginated list of orders with optional filtering by account, provider, status, and time range.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
For detailed information about error codes and troubleshooting, please refer to our API Error Codes documentation.
GET
TypeScript
Query Parameters
pageSize for pagination.
Required range:
1 <= x <= 100Minimum string length:
1ASC / DESC ordering (default DESC)
Available options:
ASC, DESC Filter by accountId.
Minimum string length:
1Filter by providerId.
Minimum string length:
1Filter by order status.
Available options:
CREATED, AWAITING_PAYMENT, AWAITING_INFORMATION, PENDING_USER_ACTION, PROCESSING, CANCELED, COMPLETED, FAILED Required range:
x >= 0Required range:
x >= 0Filter by asset conversion type.
Available options:
DIGITAL_ONLY, FIAT